//takes a mono signal in, and applies distance cues (LPF and reverb...)
//then, feed into a BFEncode for localization
Distance {
	*ar {arg in, distance=1;
		var sig, dist, distmult, freq, lowpass, filt;
		
		dist = ((distance*distance)+0.01);
		distmult = dist.reciprocal;
		freq = 22050 * distmult;
		sig = LPF.ar(in, freq, distmult);
		^sig = sig + (FreeVerb1.ar((sig * ( 0.01 * dist )), 3, 0.995));
			 
		}
	
	*ardop {arg in, distance=1;
		var sig,  dist, loc, distmult, freq, lowpass, filt;
		var dopcue, deltime;
		
		dist = ((distance*distance)+0.01);
		distmult = (1/ dist);
		freq = 22050 * distmult;
		sig = LPF.ar(in, freq, distmult);
		deltime = dist/334;
		sig = sig + DelayL.ar(sig, 1.0, deltime);
		^sig = sig + (FreeVerb1.ar((sig * ( 0.01 * dist )), 2, 0.995));
	
		}
		
	*norev {arg in, distance=1;
		var sig, dist, distmult, freq, lowpass, filt;
		
		dist = ((distance*distance)+0.01);
		distmult = dist.reciprocal;
		freq = 22050 * distmult;
		^sig = LPF.ar(in, freq, distmult);
		}
		
	*norevdop {arg in, distance=1;
		var sig,  dist, loc, distmult, freq, lowpass, filt;
		var dopcue, deltime;
		
		dist = ((distance*distance)+0.01);
		distmult = dist.reciprocal;
		freq = 22050 * distmult;
		sig = (in * distmult);
		deltime = dist/334;
		^dopcue = DelayC.ar(sig, 1.0, deltime);
	
		}
	
	}
